SpareSpare Docs
GuidesAPI Reference

Account Requests

Create, list, retrieve, update, and delete account information requests.

An account request defines the data permissions and consent window your customer must approve before you can sync their bank data.

GET
/data/account-requests
Authorization
Header

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Query

1-based page number for paginated results. Defaults to the first page.

Number of items to return per page. Defaults to the API's page size.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/data/account-requests" \  -H "x-tenant: UAE"
{  "data": [    {      "consent": {        "authorizationLink": "string",        "connection": {          "createdAt": "2025-01-01T00:00:00Z",          "id": "string",          "provider": {            "address": "string",            "allowedPermissions": [              "string"            ],            "arabicName": "string",            "country": {              "arabicName": "string",              "createdAt": "2025-01-01T00:00:00Z",              "currency": {                "code": "string",                "id": "string",                "name": "string"              },              "englishName": "string",              "id": "string",              "iso3166Code": "string",              "updatedAt": "2025-01-01T00:00:00Z"            },            "englishName": "string",            "id": "string",            "isEnable": true,            "logo": "string",            "phone": "string",            "status": "string"          },          "status": "string",          "updatedAt": "2025-01-01T00:00:00Z"        },        "createdAt": "2025-01-01T00:00:00Z",        "customerId": "string",        "expires_in": 0,        "expiryDate": "2025-01-01T00:00:00Z",        "failureRedirectUrl": "string",        "id": "string",        "permissions": [          "string"        ],        "request_uri": "string",        "scope": "string",        "status": "string",        "statusHistory": [          {            "dateTime": "2025-01-01T00:00:00Z",            "status": "string"          }        ],        "successRedirectUrl": "string",        "transactionsFromDate": "2025-01-01T00:00:00Z",        "transactionsToDate": "2025-01-01T00:00:00Z"      },      "consentExpiryDate": "2025-01-01T00:00:00Z",      "consentTransactionsFromDate": "2025-01-01T00:00:00Z",      "consentTransactionsToDate": "2025-01-01T00:00:00Z",      "country": {        "arabicName": "string",        "createdAt": "2025-01-01T00:00:00Z",        "currency": {          "code": "string",          "id": "string",          "name": "string"        },        "englishName": "string",        "id": "string",        "iso3166Code": "string",        "updatedAt": "2025-01-01T00:00:00Z"      },      "createdAt": "2025-01-01T00:00:00Z",      "failureRedirectUrl": "string",      "id": "string",      "requestLink": "string",      "requestPermissions": [        "string"      ],      "source": "string",      "status": "string",      "successRedirectUrl": "string",      "updatedAt": "2025-01-01T00:00:00Z"    }  ],  "error": "string",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "meta": {    "currentPageNumber": 0,    "pageSize": 0,    "totalNumberOfPages": 0  }}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}
POST
/data/account-requests
Authorization
Header

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Body
*object
array<string>

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/data/account-requests" \  -H "x-tenant: UAE" \  -H "Content-Type: application/json" \  -d '{    "consentExpiryDate": "2025-01-01T00:00:00Z",    "countryCode": "AE",    "requestPermissions": [      "ReadAccountsBasic"    ]  }'
{  "data": {    "consent": {      "authorizationLink": "string",      "connection": {        "createdAt": "2025-01-01T00:00:00Z",        "id": "string",        "provider": {          "address": "string",          "allowedPermissions": [            "string"          ],          "arabicName": "string",          "country": {            "arabicName": "string",            "createdAt": "2025-01-01T00:00:00Z",            "currency": {              "code": "string",              "id": "string",              "name": "string"            },            "englishName": "string",            "id": "string",            "iso3166Code": "string",            "updatedAt": "2025-01-01T00:00:00Z"          },          "englishName": "string",          "id": "string",          "isEnable": true,          "logo": "string",          "phone": "string",          "status": "string"        },        "status": "string",        "updatedAt": "2025-01-01T00:00:00Z"      },      "createdAt": "2025-01-01T00:00:00Z",      "customerId": "string",      "expires_in": 0,      "expiryDate": "2025-01-01T00:00:00Z",      "failureRedirectUrl": "string",      "id": "string",      "permissions": [        "string"      ],      "request_uri": "string",      "scope": "string",      "status": "string",      "statusHistory": [        {          "dateTime": "2025-01-01T00:00:00Z",          "status": "string"        }      ],      "successRedirectUrl": "string",      "transactionsFromDate": "2025-01-01T00:00:00Z",      "transactionsToDate": "2025-01-01T00:00:00Z"    },    "consentExpiryDate": "2025-01-01T00:00:00Z",    "consentTransactionsFromDate": "2025-01-01T00:00:00Z",    "consentTransactionsToDate": "2025-01-01T00:00:00Z",    "country": {      "arabicName": "string",      "createdAt": "2025-01-01T00:00:00Z",      "currency": {        "code": "string",        "id": "string",        "name": "string"      },      "englishName": "string",      "id": "string",      "iso3166Code": "string",      "updatedAt": "2025-01-01T00:00:00Z"    },    "createdAt": "2025-01-01T00:00:00Z",    "failureRedirectUrl": "string",    "id": "string",    "requestLink": "string",    "requestPermissions": [      "string"    ],    "source": "string",    "status": "string",    "successRedirectUrl": "string",    "updatedAt": "2025-01-01T00:00:00Z"  },  "error": "string",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}
GET
/data/account-requests/{accountRequestId}
Authorization
Path
Header

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/data/account-requests/string" \  -H "x-tenant: UAE"
{  "data": {    "consent": {      "authorizationLink": "string",      "connection": {        "createdAt": "2025-01-01T00:00:00Z",        "id": "string",        "provider": {          "address": "string",          "allowedPermissions": [            "string"          ],          "arabicName": "string",          "country": {            "arabicName": "string",            "createdAt": "2025-01-01T00:00:00Z",            "currency": {              "code": "string",              "id": "string",              "name": "string"            },            "englishName": "string",            "id": "string",            "iso3166Code": "string",            "updatedAt": "2025-01-01T00:00:00Z"          },          "englishName": "string",          "id": "string",          "isEnable": true,          "logo": "string",          "phone": "string",          "status": "string"        },        "status": "string",        "updatedAt": "2025-01-01T00:00:00Z"      },      "createdAt": "2025-01-01T00:00:00Z",      "customerId": "string",      "expires_in": 0,      "expiryDate": "2025-01-01T00:00:00Z",      "failureRedirectUrl": "string",      "id": "string",      "permissions": [        "string"      ],      "request_uri": "string",      "scope": "string",      "status": "string",      "statusHistory": [        {          "dateTime": "2025-01-01T00:00:00Z",          "status": "string"        }      ],      "successRedirectUrl": "string",      "transactionsFromDate": "2025-01-01T00:00:00Z",      "transactionsToDate": "2025-01-01T00:00:00Z"    },    "consentExpiryDate": "2025-01-01T00:00:00Z",    "consentTransactionsFromDate": "2025-01-01T00:00:00Z",    "consentTransactionsToDate": "2025-01-01T00:00:00Z",    "country": {      "arabicName": "string",      "createdAt": "2025-01-01T00:00:00Z",      "currency": {        "code": "string",        "id": "string",        "name": "string"      },      "englishName": "string",      "id": "string",      "iso3166Code": "string",      "updatedAt": "2025-01-01T00:00:00Z"    },    "createdAt": "2025-01-01T00:00:00Z",    "failureRedirectUrl": "string",    "id": "string",    "requestLink": "string",    "requestPermissions": [      "string"    ],    "source": "string",    "status": "string",    "successRedirectUrl": "string",    "updatedAt": "2025-01-01T00:00:00Z"  },  "error": "string",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}
PUT
/data/account-requests/{accountRequestId}
Authorization
Path
Header

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Body
*object
array<string>

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/data/account-requests/string" \  -H "x-tenant: UAE" \  -H "Content-Type: application/json" \  -d '{    "consentExpiryDate": "2025-01-01T00:00:00Z",    "countryCode": "AE",    "requestPermissions": [      "ReadAccountsBasic"    ]  }'
{  "data": {    "consent": {      "authorizationLink": "string",      "connection": {        "createdAt": "2025-01-01T00:00:00Z",        "id": "string",        "provider": {          "address": "string",          "allowedPermissions": [            "string"          ],          "arabicName": "string",          "country": {            "arabicName": "string",            "createdAt": "2025-01-01T00:00:00Z",            "currency": {              "code": "string",              "id": "string",              "name": "string"            },            "englishName": "string",            "id": "string",            "iso3166Code": "string",            "updatedAt": "2025-01-01T00:00:00Z"          },          "englishName": "string",          "id": "string",          "isEnable": true,          "logo": "string",          "phone": "string",          "status": "string"        },        "status": "string",        "updatedAt": "2025-01-01T00:00:00Z"      },      "createdAt": "2025-01-01T00:00:00Z",      "customerId": "string",      "expires_in": 0,      "expiryDate": "2025-01-01T00:00:00Z",      "failureRedirectUrl": "string",      "id": "string",      "permissions": [        "string"      ],      "request_uri": "string",      "scope": "string",      "status": "string",      "statusHistory": [        {          "dateTime": "2025-01-01T00:00:00Z",          "status": "string"        }      ],      "successRedirectUrl": "string",      "transactionsFromDate": "2025-01-01T00:00:00Z",      "transactionsToDate": "2025-01-01T00:00:00Z"    },    "consentExpiryDate": "2025-01-01T00:00:00Z",    "consentTransactionsFromDate": "2025-01-01T00:00:00Z",    "consentTransactionsToDate": "2025-01-01T00:00:00Z",    "country": {      "arabicName": "string",      "createdAt": "2025-01-01T00:00:00Z",      "currency": {        "code": "string",        "id": "string",        "name": "string"      },      "englishName": "string",      "id": "string",      "iso3166Code": "string",      "updatedAt": "2025-01-01T00:00:00Z"    },    "createdAt": "2025-01-01T00:00:00Z",    "failureRedirectUrl": "string",    "id": "string",    "requestLink": "string",    "requestPermissions": [      "string"    ],    "source": "string",    "status": "string",    "successRedirectUrl": "string",    "updatedAt": "2025-01-01T00:00:00Z"  },  "error": "string",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}
DELETE
/data/account-requests/{accountRequestId}
Authorization
Path
Header

Regulatory jurisdiction the request routes to (e.g. `UAE`, `KSA`, `MAIN`). Match it to the market you're integrating.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/data/account-requests/string" \  -H "x-tenant: UAE"
Empty
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "string",  "details": {},  "message": "string"}
{  "code": "not_found",  "details": {},  "message": "string"}